### File

`packages/components/eui-page/components/eui-page-column/eui-page-column.component.ts`

### Implements

`OnInit` `OnDestroy`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
encapsulation | `ViewEncapsulation.None`
HostDirectives | `BaseStatesDirective` Inputs : euiSizeS euiSizeM euiSizeL euiSizeXL euiSize2XL euiSize3XL euiSize4XL euiSizeVariant euiHighlighted
selector | `eui-page-column`
imports | `NgTemplateOutlet` `CdkScrollable` `AsyncPipe` `EUI_ICON` `EUI_BUTTON`
templateUrl | `./eui-page-column.component.html`

### Index

###### Properties
asService currentOffset customFooterContent customHeaderBodyContent customHeaderCollapsedContent customHeaderLeftContent customHeaderRightContent hasPreventMobileRendering isActive isHeaderBodyShrinked previousOffset treshHold
###### Methods
Public onToggle
###### Inputs
autocloseContainerWidth collapseAriaLabel expandAriaLabel hasHeaderBodyShrinkable hasSidebarMenu isAutocloseOnContainerResize isAutocloseOnMobile isCollapsed isCollapsedWithIcons isCollapsible isHighlighted isRightCollapsible label subLabel
###### Outputs
collapse headerCollapse
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

autocloseContainerWidth
Type : `number`
Default value : `null`

collapseAriaLabel
Type : `string`

expandAriaLabel
Type : `string`

hasHeaderBodyShrinkable
Type : `boolean`
Default value : `false`

hasSidebarMenu
Type : `boolean`
Default value : `false`

isAutocloseOnContainerResize
Type : `boolean`
Default value : `false`

isAutocloseOnMobile
Type : `boolean`
Default value : `false`

isCollapsed
Type : `boolean`
Default value : `false`

isCollapsedWithIcons
Type : `boolean`
Default value : `false`

isCollapsible
Type : `boolean`
Default value : `false`

isHighlighted
Type : `boolean`
Default value : `false`

isRightCollapsible
Type : `boolean`
Default value : `false`

label
Type : `any`

subLabel
Type : `any`

### Outputs

collapse
Type : `EventEmitter`

headerCollapse
Type : `EventEmitter`

### HostBindings

class
Type : `string`

### Methods

Public onToggle
`onToggle()`
Returns : `void`

### Properties

asService
Default value : `inject(EuiAppShellService)`

currentOffset
Type : `number`
Default value : `0`

customFooterContent
Type : `QueryList<EuiPageColumnFooterContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderBodyContent
Type : `QueryList<EuiPageColumnHeaderBodyContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderCollapsedContent
Type : `QueryList<EuiPageColumnHeaderCollapsedContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderLeftContent
Type : `QueryList<EuiPageColumnHeaderLeftContentDirective>`
Decorators : `@ContentChild(undefined)`

customHeaderRightContent
Type : `QueryList<EuiPageColumnHeaderRightContentDirective>`
Decorators : `@ContentChild(undefined)`

hasPreventMobileRendering
Default value : `false`

isActive
Default value : `false`

isHeaderBodyShrinked
Default value : `false`

previousOffset
Type : `number`
Default value : `0`

treshHold
Type : `number`
Default value : `50`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""